Page 1 of 1

Arduino Mega firmware compatibility with labview

PostPosted: Tue Jun 12, 2018 11:29 am
by mustafasei
Hi
Please help in this issue as attached which gives (( error 5007 The selected device is currently using firmware version 4.15.0 but the LabVIEW API is version 3.0.0 Please use the firmware wizard (Tools>>MakerHub>>LINX>>Firmware Wizard) to update the device firmware)).
I'm using labview 2014 32bit and linx 3.0.1.192

any advice please

Re: Arduino Mega firmware compatibility with labview

PostPosted: Tue Jun 12, 2018 7:58 pm
by nathanb
What happened after running the Firmware Wizard?

Re: Arduino Mega firmware compatibility with labview

PostPosted: Thu Jun 14, 2018 9:10 am
by mustafasei
nathanb wrote:What happened after running the Firmware Wizard?


Normal

Re: Arduino Mega firmware compatibility with labview

PostPosted: Sat Jun 16, 2018 1:51 am
by nathanb
Does that mean it worked?

Re: Arduino Mega firmware compatibility with labview

PostPosted: Sat Jun 16, 2018 4:38 am
by mustafasei
No it doesnt work after downloading the firmware abd at running the VI I'm getting the error as per my first post

Re: Arduino Mega firmware compatibility with labview

PostPosted: Sat Jun 16, 2018 12:08 pm
by nathanb
Well that is strange because I'm quite sure that there does not exist a version 4.15.0.

I would probably first try uninstalling and then re-installing LINX using VIPM and try again. If that doesn't work, you might want to try compiling the firmware manually (follow steps 1 through 5 here but choosing the one for the Mega and then deploy to your Arduino).

Re: Arduino Mega firmware compatibility with labview

PostPosted: Sat Jun 23, 2018 9:42 am
by mustafasei
Hi
The problem solved by changing the arduino Mega , it seems that the old one has no bootloader

thanx to all